Open CASCADE Technology: PTopoDS_Face Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PTopoDS_Face Class Reference

`#include <PTopoDS_Face.hxx>`

Inheritance diagram for PTopoDS_Face:
[legend]

## Public Member Functions
| PTopoDS_Face ()
| PTopoDS_Face (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from PTopoDS_HShape
| PTopoDS_HShape ()
Handle< PTopoDS_TShape > | TShape () const
void | TShape (const Handle< PTopoDS_TShape > &T)
PTopLoc_Location | Location () const
void | Location (const PTopLoc_Location &L)
TopAbs_Orientation | Orientation () const
void | Orientation (const TopAbs_Orientation O)
| PTopoDS_HShape (const Storage_stCONSTclCOM &a)
Handle< PTopoDS_TShape > | _CSFDB_GetPTopoDS_HShapemyTShape () const
void | _CSFDB_SetPTopoDS_HShapemyTShape (const Handle< PTopoDS_TShape > &p)
const PTopLoc_Location & | _CSFDB_GetPTopoDS_HShapemyLocation () const
TopAbs_Orientation | _CSFDB_GetPTopoDS_HShapemyOrient () const
void | _CSFDB_SetPTopoDS_HShapemyOrient (const TopAbs_Orientation p)
Public Member Functions inherited from ObjMgt_ExternShareable
| ObjMgt_ExternShareable ()
| ObjMgt_ExternShareable (const Storage_stCONSTclCOM &a)
Handle< PCollection_HAsciiString > | _CSFDB_GetObjMgt_ExternShareablemyEntry () const
void | _CSFDB_SetObjMgt_ExternShareablemyEntry (const Handle< PCollection_HAsciiString > &p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PTopoDS_Face::PTopoDS_Face | ( |  | ) |

PTopoDS_Face::PTopoDS_Face | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

The documentation for this class was generated from the following file:

- PTopoDS_Face.hxx